Skip to main content
GET
/
sandbox
/
hub
List Sandbox Hub templates
curl --request GET \
  --url https://api.blaxel.ai/v0/sandbox/hub \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blaxel.ai/v0/sandbox/hub"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blaxel.ai/v0/sandbox/hub', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "categories": [
      {}
    ],
    "coming_soon": false,
    "description": "Python environment with data science libraries pre-installed",
    "displayName": "Python Data Science",
    "enterprise": false,
    "hidden": false,
    "icon": "<string>",
    "image": "blaxel/python-data-science:latest",
    "longDescription": "<string>",
    "memory": 2048,
    "name": "python-data-science",
    "ports": [
      {
        "target": 8080,
        "name": "http",
        "protocol": "HTTP"
      }
    ],
    "tags": "<string>",
    "url": "<string>"
  }
]

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Response

200 - application/json

successful operation

categories
object[]

Categories of the definition

coming_soon
boolean

If the definition is coming soon

Example:

false

description
string

Description of the definition

Example:

"Python environment with data science libraries pre-installed"

displayName
string

Display name of the definition

Example:

"Python Data Science"

enterprise
boolean

If the definition is enterprise

Example:

false

hidden
boolean

If the definition is hidden

Example:

false

icon
string

Icon of the definition

image
string

Image of the Sandbox definition

Example:

"blaxel/python-data-science:latest"

longDescription
string

Long description of the definition

memory
integer

Memory of the Sandbox definition in MB

Example:

2048

name
string

Name of the artifact

Example:

"python-data-science"

ports
object[]

Set of ports for a resource

tags
string

Tags of the definition

url
string

URL of the definition

Last modified on July 1, 2026